<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="org.linlinjava.jz.db.dao.JzBookOrderMapper">
    <resultMap id="BaseResultMap" type="org.linlinjava.jz.db.domain.JzBookOrder">
        <id column="id" property="id" jdbcType="BIGINT"/>
        <result column="addr_detail" property="addrDetail" jdbcType="VARCHAR"/>
        <result column="addr_name" property="addrName" jdbcType="VARCHAR"/>
        <result column="address" property="address" jdbcType="VARCHAR"/>
        <result column="agreement_no" property="agreementNo" jdbcType="VARCHAR"/>
        <result column="all_refund" property="allRefund" jdbcType="BIT"/>
        <result column="assign_flag" property="assignFlag" jdbcType="BIT"/>
        <result column="biz_order_id" property="bizOrderId" jdbcType="VARCHAR"/>
        <result column="book_order_no" property="bookOrderNo" jdbcType="INTEGER"/>
        <result column="book_time" property="bookTime" jdbcType="VARCHAR"/>
        <result column="book_trade_no" property="bookTradeNo" jdbcType="INTEGER"/>
        <result column="can_call_delivery_express" property="canCallDeliveryExpress" jdbcType="BIT"/>
        <result column="can_call_pick_express" property="canCallPickExpress" jdbcType="BIT"/>
        <result column="can_confirm_delivery" property="canConfirmDelivery" jdbcType="BIT"/>
        <result column="can_modify_delivery" property="canModifyDelivery" jdbcType="BIT"/>
        <result column="can_modify_pick_and_delivery" property="canModifyPickAndDelivery" jdbcType="BIT"/>
        <result column="can_print" property="canPrint" jdbcType="BIT"/>
        <result column="cancel_flag" property="cancelFlag" jdbcType="BIT"/>
        <result column="cancel_reason" property="cancelReason" jdbcType="VARCHAR"/>
        <result column="certificate_no" property="certificateNo" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="VARCHAR"/>
        <result column="dispatch_flag" property="dispatchFlag" jdbcType="BIT"/>
        <result column="hm_order_id" property="hmOrderId" jdbcType="VARCHAR"/>
        <result column="item_id" property="itemId" jdbcType="BIGINT"/>
        <result column="item_name" property="itemName" jdbcType="VARCHAR"/>
        <result column="modify_address_flag" property="modifyAddressFlag" jdbcType="BIT"/>
        <result column="modify_flag" property="modifyFlag" jdbcType="BIT"/>
        <result column="modify_time_flag" property="modifyTimeFlag" jdbcType="BIT"/>
        <result column="need_modify_delivery" property="needModifyDelivery" jdbcType="BIT"/>
        <result column="need_modify_pick_and_delivery" property="needModifyPickAndDelivery" jdbcType="BIT"/>
        <result column="no_need_delivery" property="noNeedDelivery" jdbcType="BIT"/>
        <result column="no_need_pick" property="noNeedPick" jdbcType="BIT"/>
        <result column="oper_remark" property="operRemark" jdbcType="VARCHAR"/>
        <result column="oper_remark_flag" property="operRemarkFlag" jdbcType="BIT"/>
        <result column="oper_type_name" property="operTypeName" jdbcType="VARCHAR"/>
        <result column="part_refund" property="partRefund" jdbcType="BIT"/>
        <result column="pay_fee" property="payFee" jdbcType="VARCHAR"/>
        <result column="payment_no" property="paymentNo" jdbcType="VARCHAR"/>
        <result column="period_tag" property="periodTag" jdbcType="INTEGER"/>
        <result column="phone" property="phone" jdbcType="VARCHAR"/>
        <result column="position" property="position" jdbcType="VARCHAR"/>
        <result column="refund_benefits" property="refundBenefits" jdbcType="BIT"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="servant_id" property="servantId" jdbcType="BIGINT"/>
        <result column="servant_remark" property="servantRemark" jdbcType="VARCHAR"/>
        <result column="servant_remark_flag" property="servantRemarkFlag" jdbcType="BIT"/>
        <result column="service_contract_no" property="serviceContractNo" jdbcType="BIGINT"/>
        <result column="service_fulfill_type" property="serviceFulfillType" jdbcType="VARCHAR"/>
        <result column="service_type" property="serviceType" jdbcType="VARCHAR"/>
        <result column="shop_name" property="shopName" jdbcType="VARCHAR"/>
        <result column="status" property="status" jdbcType="VARCHAR"/>
        <result column="status_code" property="statusCode" jdbcType="INTEGER"/>
        <result column="supplier_name" property="supplierName" jdbcType="VARCHAR"/>
        <result column="user_id" property="userId" jdbcType="BIGINT"/>
        <result column="user_name" property="userName" jdbcType="VARCHAR"/>
        <result column="customer_id" property="customerId" jdbcType="BIGINT"/>
    </resultMap>
    <sql id="Base_Column_List">
        id
        , addr_detail, addr_name, address, agreement_no, all_refund, assign_flag, biz_order_id,
    book_order_no, book_time, book_trade_no, can_call_delivery_express, can_call_pick_express, 
    can_confirm_delivery, can_modify_delivery, can_modify_pick_and_delivery, can_print, 
    cancel_flag, cancel_reason, certificate_no, create_time, dispatch_flag, hm_order_id, 
    item_id, item_name, modify_address_flag, modify_flag, modify_time_flag, need_modify_delivery, 
    need_modify_pick_and_delivery, no_need_delivery, no_need_pick, oper_remark, oper_remark_flag, 
    oper_type_name, part_refund, pay_fee, payment_no, period_tag, phone, position, refund_benefits, 
    remark, servant_id, servant_remark, servant_remark_flag, service_contract_no, service_fulfill_type, 
    service_type, shop_name, status, status_code, supplier_name, user_id, user_name, customer_id
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long">
        select
        <include refid="Base_Column_List"/>
        from jz_book_order
        where id = #{id,jdbcType=BIGINT}
    </select>
    <select id="querySelective" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from jz_book_order
        where 1 = 1
        <if test="phone != null and phone !=''">
            and phone = #{phone}
        </if>
    </select>
    <select id="selectByBookOrderNo" resultMap="BaseResultMap">
        select id, book_order_no
        from jz_book_order
        where book_order_no = #{bookOrderNo}
    </select>
    <select id="selectByPaymentNo" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from jz_book_order
        where payment_no = #{paymentNo}
    </select>
    <select id="selectByCustomerId" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from jz_book_order
        where customer_id = #{customerId}
    </select>

    <delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
        delete
        from jz_book_order
        where id = #{id,jdbcType=BIGINT}
    </delete>

    <insert id="insert" parameterType="org.linlinjava.jz.db.domain.JzBookOrder">
        insert into jz_book_order (id, addr_detail, addr_name,
                                   address, agreement_no, all_refund,
                                   assign_flag, biz_order_id, book_order_no,
                                   book_time, book_trade_no, can_call_delivery_express,
                                   can_call_pick_express, can_confirm_delivery, can_modify_delivery,
                                   can_modify_pick_and_delivery, can_print, cancel_flag,
                                   cancel_reason, certificate_no, create_time,
                                   dispatch_flag, hm_order_id, item_id,
                                   item_name, modify_address_flag, modify_flag,
                                   modify_time_flag, need_modify_delivery, need_modify_pick_and_delivery,
                                   no_need_delivery, no_need_pick, oper_remark,
                                   oper_remark_flag, oper_type_name, part_refund,
                                   pay_fee, payment_no, period_tag,
                                   phone, position, refund_benefits,
                                   remark, servant_id, servant_remark,
                                   servant_remark_flag, service_contract_no, service_fulfill_type,
                                   service_type, shop_name, status,
                                   status_code, supplier_name, user_id,
                                   user_name)
        values (#{id,jdbcType=BIGINT}, #{addrDetail,jdbcType=VARCHAR}, #{addrName,jdbcType=VARCHAR},
                #{address,jdbcType=VARCHAR}, #{agreementNo,jdbcType=VARCHAR}, #{allRefund,jdbcType=BIT},
                #{assignFlag,jdbcType=BIT}, #{bizOrderId,jdbcType=VARCHAR}, #{bookOrderNo,jdbcType=INTEGER},
                #{bookTime,jdbcType=VARCHAR}, #{bookTradeNo,jdbcType=INTEGER}, #{canCallDeliveryExpress,jdbcType=BIT},
                #{canCallPickExpress,jdbcType=BIT}, #{canConfirmDelivery,jdbcType=BIT},
                #{canModifyDelivery,jdbcType=BIT},
                #{canModifyPickAndDelivery,jdbcType=BIT}, #{canPrint,jdbcType=BIT}, #{cancelFlag,jdbcType=BIT},
                #{cancelReason,jdbcType=VARCHAR}, #{certificateNo,jdbcType=VARCHAR}, #{createTime,jdbcType=VARCHAR},
                #{dispatchFlag,jdbcType=BIT}, #{hmOrderId,jdbcType=VARCHAR}, #{itemId,jdbcType=BIGINT},
                #{itemName,jdbcType=VARCHAR}, #{modifyAddressFlag,jdbcType=BIT}, #{modifyFlag,jdbcType=BIT},
                #{modifyTimeFlag,jdbcType=BIT}, #{needModifyDelivery,jdbcType=BIT},
                #{needModifyPickAndDelivery,jdbcType=BIT},
                #{noNeedDelivery,jdbcType=BIT}, #{noNeedPick,jdbcType=BIT}, #{operRemark,jdbcType=VARCHAR},
                #{operRemarkFlag,jdbcType=BIT}, #{operTypeName,jdbcType=VARCHAR}, #{partRefund,jdbcType=BIT},
                #{payFee,jdbcType=VARCHAR}, #{paymentNo,jdbcType=VARCHAR}, #{periodTag,jdbcType=INTEGER},
                #{phone,jdbcType=VARCHAR}, #{position,jdbcType=VARCHAR}, #{refundBenefits,jdbcType=BIT},
                #{remark,jdbcType=VARCHAR}, #{servantId,jdbcType=BIGINT}, #{servantRemark,jdbcType=VARCHAR},
                #{servantRemarkFlag,jdbcType=BIT}, #{serviceContractNo,jdbcType=BIGINT},
                #{serviceFulfillType,jdbcType=VARCHAR},
                #{serviceType,jdbcType=VARCHAR}, #{shopName,jdbcType=VARCHAR}, #{status,jdbcType=VARCHAR},
                #{statusCode,jdbcType=INTEGER}, #{supplierName,jdbcType=VARCHAR}, #{userId,jdbcType=INTEGER},
                #{userName,jdbcType=VARCHAR})
    </insert>
    <insert id="insertSelective" parameterType="org.linlinjava.jz.db.domain.JzBookOrder">
        insert into jz_book_order
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">
                id,
            </if>
            <if test="addrDetail != null">
                addr_detail,
            </if>
            <if test="addrName != null">
                addr_name,
            </if>
            <if test="address != null">
                address,
            </if>
            <if test="agreementNo != null">
                agreement_no,
            </if>
            <if test="allRefund != null">
                all_refund,
            </if>
            <if test="assignFlag != null">
                assign_flag,
            </if>
            <if test="bizOrderId != null">
                biz_order_id,
            </if>
            <if test="bookOrderNo != null">
                book_order_no,
            </if>
            <if test="bookTime != null">
                book_time,
            </if>
            <if test="bookTradeNo != null">
                book_trade_no,
            </if>
            <if test="canCallDeliveryExpress != null">
                can_call_delivery_express,
            </if>
            <if test="canCallPickExpress != null">
                can_call_pick_express,
            </if>
            <if test="canConfirmDelivery != null">
                can_confirm_delivery,
            </if>
            <if test="canModifyDelivery != null">
                can_modify_delivery,
            </if>
            <if test="canModifyPickAndDelivery != null">
                can_modify_pick_and_delivery,
            </if>
            <if test="canPrint != null">
                can_print,
            </if>
            <if test="cancelFlag != null">
                cancel_flag,
            </if>
            <if test="cancelReason != null">
                cancel_reason,
            </if>
            <if test="certificateNo != null">
                certificate_no,
            </if>
            <if test="createTime != null">
                create_time,
            </if>
            <if test="dispatchFlag != null">
                dispatch_flag,
            </if>
            <if test="hmOrderId != null">
                hm_order_id,
            </if>
            <if test="itemId != null">
                item_id,
            </if>
            <if test="itemName != null">
                item_name,
            </if>
            <if test="modifyAddressFlag != null">
                modify_address_flag,
            </if>
            <if test="modifyFlag != null">
                modify_flag,
            </if>
            <if test="modifyTimeFlag != null">
                modify_time_flag,
            </if>
            <if test="needModifyDelivery != null">
                need_modify_delivery,
            </if>
            <if test="needModifyPickAndDelivery != null">
                need_modify_pick_and_delivery,
            </if>
            <if test="noNeedDelivery != null">
                no_need_delivery,
            </if>
            <if test="noNeedPick != null">
                no_need_pick,
            </if>
            <if test="operRemark != null">
                oper_remark,
            </if>
            <if test="operRemarkFlag != null">
                oper_remark_flag,
            </if>
            <if test="operTypeName != null">
                oper_type_name,
            </if>
            <if test="partRefund != null">
                part_refund,
            </if>
            <if test="payFee != null">
                pay_fee,
            </if>
            <if test="paymentNo != null">
                payment_no,
            </if>
            <if test="periodTag != null">
                period_tag,
            </if>
            <if test="phone != null">
                phone,
            </if>
            <if test="position != null">
                position,
            </if>
            <if test="refundBenefits != null">
                refund_benefits,
            </if>
            <if test="remark != null">
                remark,
            </if>
            <if test="servantId != null">
                servant_id,
            </if>
            <if test="servantRemark != null">
                servant_remark,
            </if>
            <if test="servantRemarkFlag != null">
                servant_remark_flag,
            </if>
            <if test="serviceContractNo != null">
                service_contract_no,
            </if>
            <if test="serviceFulfillType != null">
                service_fulfill_type,
            </if>
            <if test="serviceType != null">
                service_type,
            </if>
            <if test="shopName != null">
                shop_name,
            </if>
            <if test="status != null">
                status,
            </if>
            <if test="statusCode != null">
                status_code,
            </if>
            <if test="supplierName != null">
                supplier_name,
            </if>
            <if test="userId != null">
                user_id,
            </if>
            <if test="userName != null">
                user_name,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=BIGINT},
            </if>
            <if test="addrDetail != null">
                #{addrDetail,jdbcType=VARCHAR},
            </if>
            <if test="addrName != null">
                #{addrName,jdbcType=VARCHAR},
            </if>
            <if test="address != null">
                #{address,jdbcType=VARCHAR},
            </if>
            <if test="agreementNo != null">
                #{agreementNo,jdbcType=VARCHAR},
            </if>
            <if test="allRefund != null">
                #{allRefund,jdbcType=BIT},
            </if>
            <if test="assignFlag != null">
                #{assignFlag,jdbcType=BIT},
            </if>
            <if test="bizOrderId != null">
                #{bizOrderId,jdbcType=VARCHAR},
            </if>
            <if test="bookOrderNo != null">
                #{bookOrderNo,jdbcType=INTEGER},
            </if>
            <if test="bookTime != null">
                #{bookTime,jdbcType=VARCHAR},
            </if>
            <if test="bookTradeNo != null">
                #{bookTradeNo,jdbcType=INTEGER},
            </if>
            <if test="canCallDeliveryExpress != null">
                #{canCallDeliveryExpress,jdbcType=BIT},
            </if>
            <if test="canCallPickExpress != null">
                #{canCallPickExpress,jdbcType=BIT},
            </if>
            <if test="canConfirmDelivery != null">
                #{canConfirmDelivery,jdbcType=BIT},
            </if>
            <if test="canModifyDelivery != null">
                #{canModifyDelivery,jdbcType=BIT},
            </if>
            <if test="canModifyPickAndDelivery != null">
                #{canModifyPickAndDelivery,jdbcType=BIT},
            </if>
            <if test="canPrint != null">
                #{canPrint,jdbcType=BIT},
            </if>
            <if test="cancelFlag != null">
                #{cancelFlag,jdbcType=BIT},
            </if>
            <if test="cancelReason != null">
                #{cancelReason,jdbcType=VARCHAR},
            </if>
            <if test="certificateNo != null">
                #{certificateNo,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=VARCHAR},
            </if>
            <if test="dispatchFlag != null">
                #{dispatchFlag,jdbcType=BIT},
            </if>
            <if test="hmOrderId != null">
                #{hmOrderId,jdbcType=VARCHAR},
            </if>
            <if test="itemId != null">
                #{itemId,jdbcType=BIGINT},
            </if>
            <if test="itemName != null">
                #{itemName,jdbcType=VARCHAR},
            </if>
            <if test="modifyAddressFlag != null">
                #{modifyAddressFlag,jdbcType=BIT},
            </if>
            <if test="modifyFlag != null">
                #{modifyFlag,jdbcType=BIT},
            </if>
            <if test="modifyTimeFlag != null">
                #{modifyTimeFlag,jdbcType=BIT},
            </if>
            <if test="needModifyDelivery != null">
                #{needModifyDelivery,jdbcType=BIT},
            </if>
            <if test="needModifyPickAndDelivery != null">
                #{needModifyPickAndDelivery,jdbcType=BIT},
            </if>
            <if test="noNeedDelivery != null">
                #{noNeedDelivery,jdbcType=BIT},
            </if>
            <if test="noNeedPick != null">
                #{noNeedPick,jdbcType=BIT},
            </if>
            <if test="operRemark != null">
                #{operRemark,jdbcType=VARCHAR},
            </if>
            <if test="operRemarkFlag != null">
                #{operRemarkFlag,jdbcType=BIT},
            </if>
            <if test="operTypeName != null">
                #{operTypeName,jdbcType=VARCHAR},
            </if>
            <if test="partRefund != null">
                #{partRefund,jdbcType=BIT},
            </if>
            <if test="payFee != null">
                #{payFee,jdbcType=VARCHAR},
            </if>
            <if test="paymentNo != null">
                #{paymentNo,jdbcType=VARCHAR},
            </if>
            <if test="periodTag != null">
                #{periodTag,jdbcType=INTEGER},
            </if>
            <if test="phone != null">
                #{phone,jdbcType=VARCHAR},
            </if>
            <if test="position != null">
                #{position,jdbcType=VARCHAR},
            </if>
            <if test="refundBenefits != null">
                #{refundBenefits,jdbcType=BIT},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
            <if test="servantId != null">
                #{servantId,jdbcType=BIGINT},
            </if>
            <if test="servantRemark != null">
                #{servantRemark,jdbcType=VARCHAR},
            </if>
            <if test="servantRemarkFlag != null">
                #{servantRemarkFlag,jdbcType=BIT},
            </if>
            <if test="serviceContractNo != null">
                #{serviceContractNo,jdbcType=BIGINT},
            </if>
            <if test="serviceFulfillType != null">
                #{serviceFulfillType,jdbcType=VARCHAR},
            </if>
            <if test="serviceType != null">
                #{serviceType,jdbcType=VARCHAR},
            </if>
            <if test="shopName != null">
                #{shopName,jdbcType=VARCHAR},
            </if>
            <if test="status != null">
                #{status,jdbcType=VARCHAR},
            </if>
            <if test="statusCode != null">
                #{statusCode,jdbcType=INTEGER},
            </if>
            <if test="supplierName != null">
                #{supplierName,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                #{userId,jdbcType=INTEGER},
            </if>
            <if test="userName != null">
                #{userName,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>


    <update id="updateByPrimaryKeySelective" parameterType="org.linlinjava.jz.db.domain.JzBookOrder">
        update jz_book_order
        <set>
            <if test="addrDetail != null">
                addr_detail = #{addrDetail,jdbcType=VARCHAR},
            </if>
            <if test="addrName != null">
                addr_name = #{addrName,jdbcType=VARCHAR},
            </if>
            <if test="address != null">
                address = #{address,jdbcType=VARCHAR},
            </if>
            <if test="agreementNo != null">
                agreement_no = #{agreementNo,jdbcType=VARCHAR},
            </if>
            <if test="allRefund != null">
                all_refund = #{allRefund,jdbcType=BIT},
            </if>
            <if test="assignFlag != null">
                assign_flag = #{assignFlag,jdbcType=BIT},
            </if>
            <if test="bizOrderId != null">
                biz_order_id = #{bizOrderId,jdbcType=VARCHAR},
            </if>
            <if test="bookOrderNo != null">
                book_order_no = #{bookOrderNo,jdbcType=INTEGER},
            </if>
            <if test="bookTime != null">
                book_time = #{bookTime,jdbcType=VARCHAR},
            </if>
            <if test="bookTradeNo != null">
                book_trade_no = #{bookTradeNo,jdbcType=INTEGER},
            </if>
            <if test="canCallDeliveryExpress != null">
                can_call_delivery_express = #{canCallDeliveryExpress,jdbcType=BIT},
            </if>
            <if test="canCallPickExpress != null">
                can_call_pick_express = #{canCallPickExpress,jdbcType=BIT},
            </if>
            <if test="canConfirmDelivery != null">
                can_confirm_delivery = #{canConfirmDelivery,jdbcType=BIT},
            </if>
            <if test="canModifyDelivery != null">
                can_modify_delivery = #{canModifyDelivery,jdbcType=BIT},
            </if>
            <if test="canModifyPickAndDelivery != null">
                can_modify_pick_and_delivery = #{canModifyPickAndDelivery,jdbcType=BIT},
            </if>
            <if test="canPrint != null">
                can_print = #{canPrint,jdbcType=BIT},
            </if>
            <if test="cancelFlag != null">
                cancel_flag = #{cancelFlag,jdbcType=BIT},
            </if>
            <if test="cancelReason != null">
                cancel_reason = #{cancelReason,jdbcType=VARCHAR},
            </if>
            <if test="certificateNo != null">
                certificate_no = #{certificateNo,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time = #{createTime,jdbcType=VARCHAR},
            </if>
            <if test="dispatchFlag != null">
                dispatch_flag = #{dispatchFlag,jdbcType=BIT},
            </if>
            <if test="hmOrderId != null">
                hm_order_id = #{hmOrderId,jdbcType=VARCHAR},
            </if>
            <if test="itemId != null">
                item_id = #{itemId,jdbcType=BIGINT},
            </if>
            <if test="itemName != null">
                item_name = #{itemName,jdbcType=VARCHAR},
            </if>
            <if test="modifyAddressFlag != null">
                modify_address_flag = #{modifyAddressFlag,jdbcType=BIT},
            </if>
            <if test="modifyFlag != null">
                modify_flag = #{modifyFlag,jdbcType=BIT},
            </if>
            <if test="modifyTimeFlag != null">
                modify_time_flag = #{modifyTimeFlag,jdbcType=BIT},
            </if>
            <if test="needModifyDelivery != null">
                need_modify_delivery = #{needModifyDelivery,jdbcType=BIT},
            </if>
            <if test="needModifyPickAndDelivery != null">
                need_modify_pick_and_delivery = #{needModifyPickAndDelivery,jdbcType=BIT},
            </if>
            <if test="noNeedDelivery != null">
                no_need_delivery = #{noNeedDelivery,jdbcType=BIT},
            </if>
            <if test="noNeedPick != null">
                no_need_pick = #{noNeedPick,jdbcType=BIT},
            </if>
            <if test="operRemark != null">
                oper_remark = #{operRemark,jdbcType=VARCHAR},
            </if>
            <if test="operRemarkFlag != null">
                oper_remark_flag = #{operRemarkFlag,jdbcType=BIT},
            </if>
            <if test="operTypeName != null">
                oper_type_name = #{operTypeName,jdbcType=VARCHAR},
            </if>
            <if test="partRefund != null">
                part_refund = #{partRefund,jdbcType=BIT},
            </if>
            <if test="payFee != null">
                pay_fee = #{payFee,jdbcType=VARCHAR},
            </if>
            <if test="paymentNo != null">
                payment_no = #{paymentNo,jdbcType=VARCHAR},
            </if>
            <if test="periodTag != null">
                period_tag = #{periodTag,jdbcType=INTEGER},
            </if>
            <if test="phone != null">
                phone = #{phone,jdbcType=VARCHAR},
            </if>
            <if test="position != null">
                position = #{position,jdbcType=VARCHAR},
            </if>
            <if test="refundBenefits != null">
                refund_benefits = #{refundBenefits,jdbcType=BIT},
            </if>
            <if test="remark != null">
                remark = #{remark,jdbcType=VARCHAR},
            </if>
            <if test="servantId != null">
                servant_id = #{servantId,jdbcType=BIGINT},
            </if>
            <if test="servantRemark != null">
                servant_remark = #{servantRemark,jdbcType=VARCHAR},
            </if>
            <if test="servantRemarkFlag != null">
                servant_remark_flag = #{servantRemarkFlag,jdbcType=BIT},
            </if>
            <if test="serviceContractNo != null">
                service_contract_no = #{serviceContractNo,jdbcType=BIGINT},
            </if>
            <if test="serviceFulfillType != null">
                service_fulfill_type = #{serviceFulfillType,jdbcType=VARCHAR},
            </if>
            <if test="serviceType != null">
                service_type = #{serviceType,jdbcType=VARCHAR},
            </if>
            <if test="shopName != null">
                shop_name = #{shopName,jdbcType=VARCHAR},
            </if>
            <if test="status != null">
                status = #{status,jdbcType=VARCHAR},
            </if>
            <if test="statusCode != null">
                status_code = #{statusCode,jdbcType=INTEGER},
            </if>
            <if test="supplierName != null">
                supplier_name = #{supplierName,jdbcType=VARCHAR},
            </if>
            <if test="userId != null">
                user_id = #{userId,jdbcType=INTEGER},
            </if>
            <if test="userName != null">
                user_name = #{userName,jdbcType=VARCHAR},
            </if>
        </set>
        where id = #{id,jdbcType=BIGINT}
    </update>
    <update id="updateByPrimaryKey" parameterType="org.linlinjava.jz.db.domain.JzBookOrder">
        update jz_book_order
        set addr_detail                   = #{addrDetail,jdbcType=VARCHAR},
            addr_name                     = #{addrName,jdbcType=VARCHAR},
            address                       = #{address,jdbcType=VARCHAR},
            agreement_no                  = #{agreementNo,jdbcType=VARCHAR},
            all_refund                    = #{allRefund,jdbcType=BIT},
            assign_flag                   = #{assignFlag,jdbcType=BIT},
            biz_order_id                  = #{bizOrderId,jdbcType=VARCHAR},
            book_order_no                 = #{bookOrderNo,jdbcType=INTEGER},
            book_time                     = #{bookTime,jdbcType=VARCHAR},
            book_trade_no                 = #{bookTradeNo,jdbcType=INTEGER},
            can_call_delivery_express     = #{canCallDeliveryExpress,jdbcType=BIT},
            can_call_pick_express         = #{canCallPickExpress,jdbcType=BIT},
            can_confirm_delivery          = #{canConfirmDelivery,jdbcType=BIT},
            can_modify_delivery           = #{canModifyDelivery,jdbcType=BIT},
            can_modify_pick_and_delivery  = #{canModifyPickAndDelivery,jdbcType=BIT},
            can_print                     = #{canPrint,jdbcType=BIT},
            cancel_flag                   = #{cancelFlag,jdbcType=BIT},
            cancel_reason                 = #{cancelReason,jdbcType=VARCHAR},
            certificate_no                = #{certificateNo,jdbcType=VARCHAR},
            create_time                   = #{createTime,jdbcType=VARCHAR},
            dispatch_flag                 = #{dispatchFlag,jdbcType=BIT},
            hm_order_id                   = #{hmOrderId,jdbcType=VARCHAR},
            item_id                       = #{itemId,jdbcType=BIGINT},
            item_name                     = #{itemName,jdbcType=VARCHAR},
            modify_address_flag           = #{modifyAddressFlag,jdbcType=BIT},
            modify_flag                   = #{modifyFlag,jdbcType=BIT},
            modify_time_flag              = #{modifyTimeFlag,jdbcType=BIT},
            need_modify_delivery          = #{needModifyDelivery,jdbcType=BIT},
            need_modify_pick_and_delivery = #{needModifyPickAndDelivery,jdbcType=BIT},
            no_need_delivery              = #{noNeedDelivery,jdbcType=BIT},
            no_need_pick                  = #{noNeedPick,jdbcType=BIT},
            oper_remark                   = #{operRemark,jdbcType=VARCHAR},
            oper_remark_flag              = #{operRemarkFlag,jdbcType=BIT},
            oper_type_name                = #{operTypeName,jdbcType=VARCHAR},
            part_refund                   = #{partRefund,jdbcType=BIT},
            pay_fee                       = #{payFee,jdbcType=VARCHAR},
            payment_no                    = #{paymentNo,jdbcType=VARCHAR},
            period_tag                    = #{periodTag,jdbcType=INTEGER},
            phone                         = #{phone,jdbcType=VARCHAR},
            position                      = #{position,jdbcType=VARCHAR},
            refund_benefits               = #{refundBenefits,jdbcType=BIT},
            remark                        = #{remark,jdbcType=VARCHAR},
            servant_id                    = #{servantId,jdbcType=BIGINT},
            servant_remark                = #{servantRemark,jdbcType=VARCHAR},
            servant_remark_flag           = #{servantRemarkFlag,jdbcType=BIT},
            service_contract_no           = #{serviceContractNo,jdbcType=BIGINT},
            service_fulfill_type          = #{serviceFulfillType,jdbcType=VARCHAR},
            service_type                  = #{serviceType,jdbcType=VARCHAR},
            shop_name                     = #{shopName,jdbcType=VARCHAR},
            status                        = #{status,jdbcType=VARCHAR},
            status_code                   = #{statusCode,jdbcType=INTEGER},
            supplier_name                 = #{supplierName,jdbcType=VARCHAR},
            user_id                       = #{userId,jdbcType=INTEGER},
            user_name                     = #{userName,jdbcType=VARCHAR}
        where id = #{id,jdbcType=BIGINT}
    </update>
</mapper>